Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.turbine.modules.layouts
Class VelocityXslLayout

    java.lang.Object
      org.apache.turbine.modules.Assembler
          org.apache.turbine.modules.Layout
              org.apache.turbine.modules.layouts.VelocityXslLayout

    public class VelocityXslLayout

extends Layout

This Layout module allows Velocity XML templates to be used as layouts.
Once the (XML) screen and navigation templates have been inserted into the layout template the result is transformed with a XSL stylesheet. The stylesheet (with the same name than the screen template) is loaded and executed by the XSLT service, so it is important that you correctly set up your XSLT service. If the named stylsheet does not exist the default.xsl stylesheet is executed. If default.xsl does not exist the XML is merely echoed.
Since dynamic content is supposed to be primarily located in screens and navigations there should be relatively few reasons to subclass this Layout.

Version:
  $Id: VelocityXslLayout.java 1066558 2011-02-02 18:12:40Z ludwig $
Author:
  Leon Messerschmidt, Henning P. Schmiedehausen

Field Summary

Fields inherited from class org.apache.turbine.modules.Layout
`CACHE_SIZE_DEFAULT, CACHE_SIZE_KEY, NAME, PREFIX`

Constructor Summary
`VelocityXslLayout()` Default constructor

Method Summary
`void` | `doBuild(PipelineData pipelineData)` Build the layout.
`void` | `doBuild(RunData data)` Deprecated. Use PipelineData version instead.

Methods inherited from class org.apache.turbine.modules.Layout
`build, build, getPrefix`

Methods inherited from class org.apache.turbine.modules.Assembler
`getRunData`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### VelocityXslLayout

    public VelocityXslLayout()

  Default constructor

Method Detail

### doBuild

    @Deprecated
    public void doBuild(RunData data)
                 throws Exception

  Deprecated. Use PipelineData version instead.

  Build the layout. Also sets the ContentType and Locale headers of the HttpServletResponse object.

  Specified by:
    `doBuild` in class `Layout`
  Parameters:
    `data` - Turbine information.
  Throws:
    `Exception` - a generic exception.

### doBuild

    public void doBuild(PipelineData pipelineData)
                 throws Exception

  Build the layout. Also sets the ContentType and Locale headers of the HttpServletResponse object.

  Overrides:
    `doBuild` in class `Layout`
  Parameters:
    `data` - Turbine information.
  Throws:
    `Exception` - a generic exception.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2011 The Apache Software Foundation. All Rights Reserved.